## Masked Autoencoder for Multiagent Trajectories

This is an example implementation of a **trajectory masked autoencoder** model (**T-MAE**; including a classifier for downstream finetuning and classification) as described in the paper [Masked Autoencoder for Multiagent Trajectories](https://link.springer.com/article/10.1007/s10994-024-06647-3).
Please cite our paper accordingly, if you make use of this code.

<p align="center">
  <img src="tmae.png" width="720">
</p>

The implementation is based on PyTorch [https://pytorch.org](https://pytorch.org).
Please refer to ```env.yaml``` for version details.

We largely based our T-MAE code on the implementation of [Masked Autoencoders Are Scalable Vision Learners](https://arxiv.org/abs/2111.06377) as provided at [https://github.com/facebookresearch/mae](https://github.com/facebookresearch/mae).
Parts of the encoder/decoder architecture are based on 
[Latent Variable Sequential Set Transformers For Joint Multi-Agent Motion Prediction](https://arxiv.org/abs/2104.00563) as provided at [https://github.com/roggirg/AutoBots](https://github.com/roggirg/AutoBots).



*Yannick Rudolph and Ulf Brefeld*  
*Leuphana University of Lüneburg, Universitätsallee 1, 21335 Lüneburg, Germany*

### License

This project is under the CC-BY-NC 4.0 license. See [LICENSE](LICENSE) for details.
