import json
from pathlib import Path
from typing import Dict, Union

CHECKPOINT_NAME = "checkpoint"
BEST_FILE_NAME = "best.yaml"


def get_checkpoint_path_without_suffix(
    dir: str, iteration: Union[str, int] = "best"
) -> Path:
    if iteration == "best":
        with open(file=Path(dir) / BEST_FILE_NAME, mode="r") as file:
            best_dict: Dict = json.load(fp=file)
        iteration = int(best_dict.get("iteration"))
    checkpoint_path_without_suffix = Path(dir) / f"{CHECKPOINT_NAME}-{iteration:06}"
    return checkpoint_path_without_suffix
